gwibber-accounts crashed with TypeError in function(): Item 0: must be a subtype of gi.Boxed

Bug #959757 reported by Aaron Lee on 2012-03-19
42
This bug affects 7 people
Affects Status Importance Assigned to Milestone
Gwibber
Medium
Unassigned
OEM Priority Project
High
James M. Leddy
Precise
High
James M. Leddy
gwibber-service-sina
Undecided
Unassigned
gwibber-service-sohu
Undecided
Unassigned
gwibber (Ubuntu)
Low
Unassigned
gwibber-service-sina (Ubuntu)
High
Unassigned
gwibber-service-sohu (Ubuntu)
High
Unassigned
Precise
Undecided
Unassigned

Bug Description

crash when one account sso authenticate

ProblemType: Crash
DistroRelease: Ubuntu 12.04
Package: gwibber 3.3.92-0ubuntu1
ProcVersionSignature: Ubuntu 3.2.0-19.30-generic-pae 3.2.11
Uname: Linux 3.2.0-19-generic-pae i686
ApportVersion: 1.94.1-0ubuntu2
Architecture: i386
CrashCounter: 1
Date: Tue Mar 20 05:57:41 2012
ExecutablePath: /usr/bin/gwibber-accounts
InterpreterPath: /usr/bin/python2.7
ProcCmdline: python /usr/bin/gwibber-accounts
PythonArgs: ['/usr/bin/gwibber-accounts']
SourcePackage: gwibber
Title: gwibber-accounts crashed with TypeError in function(): Item 0: must be a subtype of gi.Boxed
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo

Related branches

Aaron Lee (aaronlea) wrote :
visibility: private → public
tags: removed: need-duplicate-check
JimGrape (910661511-v) on 2012-04-01
Changed in gwibber (Ubuntu):
status: New → Incomplete
TonyChyi (tonychee7000) wrote :

Loading plugin for sina
/usr/lib/python2.7/dist-packages/gobject/constants.py:24: Warning: g_boxed_type_register_static: assertion `g_type_from_name (name) == 0' failed
  import gobject._gobject

i think there's some plugins have bugs ...

TonyChyi (tonychee7000) wrote :

oh no, it's bugs in gobject???...FT

Bilal Shahid (s9iper1) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. Please answer these questions:

* Is this reproducible now ?
* If so, what specific steps should we take to recreate this bug?

This will help us to find and resolve the problem.

no longer affects: gwibber
TonyChyi (tonychee7000) wrote :

reply for #4:

try to install "gwibber-service-sina"(sudo apt-get install gwibber-service-sina)

then run gwibber-acconts

find "sina"(ps: i'm in China and any other services are GFWed)

and authorize it
if u run gwibber-accounts in terminal , you'll see:

-------------------------------------------------------------------------------------------------------

tonychyi@tonychyi-HP:~$ gwibber-accounts
Loading plugin for sina
/usr/lib/python2.7/dist-packages/gobject/constants.py:24: Warning: g_boxed_type_register_static: assertion `g_type_from_name (name) == 0' failed
  import gobject._gobject
Loading plugin for twitter
Loading plugin for identica
Loading plugin for facebook
Traceback (most recent call last):
  File "/usr/share/gwibber/plugins/sina/gtk/sina/__init__.py", line 149, in on_sina_auth_title_change
    saved = self.dialog.on_edit_account_save()
  File "/usr/lib/python2.7/dist-packages/gwibber/accounts.py", line 252, in on_edit_account_save
    getattr(self.gwibber.accounts, fn)(json.dumps(self.account))
  File "/usr/lib/python2.7/dist-packages/dbus/proxies.py", line 145, in __call__
    **keywords)
  File "/usr/lib/python2.7/dist-packages/dbus/connection.py", line 651, in call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Python.TypeError: Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/dbus/service.py", line 707, in _message_cb
    retval = candidate_method(self, *args, **keywords)
  File "/usr/lib/python2.7/dist-packages/gwibber/microblog/storage.py", line 339, in Create
    self.update_password_cache(data)
  File "/usr/lib/python2.7/dist-packages/gwibber/microblog/storage.py", line 303, in update_password_cache
    self.passwords[id] = util.keyring.get_secret(id)
  File "/usr/lib/python2.7/dist-packages/gwibber/microblog/util/keyring.py", line 49, in get_secret
    attrlist)
  File "/usr/lib/python2.7/dist-packages/gi/types.py", line 43, in function
    return info.invoke(*args, **kwargs)
TypeError: Item 0: must be a subtype of gi.Boxed

Aaron Lee (aaronlea) wrote :

I reinstalled gwibber, gwibber-service, gwibber-service-twitter etc.
the twitter and facebook authorized SUCCESSFULLY.

Atfer that, I reinstalled gwibber-service-sina, when sina authorized, the bug totally reproduced.
It looks there is a bug of gwibber-service-sina, It cause the error: "Title: gwibber-accounts crashed with TypeError in function(): Item 0: must be a subtype of gi.Boxed".

I can reproduce this issue, Apport brought me to this bug report.

gwibber-service-sina:
  已安装: 0.9.1-0ubuntu6
  候选软件包:0.9.1-0ubuntu6
  版本列表:
 *** 0.9.1-0ubuntu6 0
        100 /var/lib/dpkg/status

Steps to reproduce:
1. Launch gwibber, choose sina, click the button to authorize with sina, enter account name and password

Expected result:
Log in successfully

Actual result:
The process bar shows it was authorizing, then Apport shows.

Changed in gwibber (Ubuntu):
status: Incomplete → Confirmed
TonyChyi (tonychee7000) wrote :

now i have found where the bug is:

in gwibber-service-sina:

__init__.py

on the line4: import gnomekeyring

then i wrote a python script:
#for test
from gwibber.microblog import network, util
import gnomekeyring

when i run it:
tonychyi@tonychyi-HP:~$ python 1.py

/usr/lib/python2.7/dist-packages/gobject/constants.py:24: Warning: g_boxed_type_register_static: assertion `g_type_from_name (name) == 0' failed
  import gobject._gobject

now i think there is something wrong with gwibber or gnomekeyring

TonyChyi (tonychee7000) wrote :

i'm sorry i seem not to be able to fix this bug...

cause 'TypeError: Item 0: must be a subtype of gi.Boxed' still exist....

TonyChyi (tonychee7000) wrote :

the same bug is on the package gwibber-service-sohu

the 2 packages is from one persion

TonyChyi (tonychee7000) wrote :

in new Ubuntu 12.04
2 packages: gwibber-service-sina gwibber-service-sohu have this bug

Changed in gwibber:
status: New → Confirmed
Bilal Shahid (s9iper1) wrote :

thanks for the info
assigning to kenvandine the bug is ready now and setting the importance

Changed in gwibber (Ubuntu):
status: Confirmed → Triaged
importance: Undecided → Medium
Changed in gwibber:
importance: Undecided → High
importance: High → Medium
Changed in gwibber (Ubuntu):
importance: Medium → Low
Bilal Shahid (s9iper1) on 2012-04-11
Changed in gwibber:
assignee: nobody → Ken VanDine (ken-vandine)
Changed in gwibber:
status: Confirmed → Invalid
Changed in gwibber (Ubuntu):
status: Triaged → Invalid
Changed in gwibber:
assignee: Ken VanDine (ken-vandine) → nobody
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in gwibber-service-sina (Ubuntu):
status: New → Confirmed
Changed in gwibber-service-sohu (Ubuntu):
status: New → Confirmed
TonyChyi (tonychee7000) on 2012-04-12
Changed in gwibber-service-sina:
status: New → Confirmed
Changed in gwibber-service-sohu:
status: New → Confirmed

This will affect many OEM's shipping machines to China, so opening a task for the the OEM Priority project.

Changed in oem-priority:
importance: Undecided → High
Changed in oem-priority:
assignee: nobody → James M. Leddy (jm-leddy)
status: New → Confirmed
fuhaoyun (fuhaoyun) wrote :

我使用的是新浪微博,添加帐号、密码之后,点击登录并授权后,就一直处于“正在验证”状态。
遗憾的是launchpad不支持Bug报告附带截图

I am using the Sina microblogging.Add username, password, click Login, and to authorize, has been in the "verified" status.
Unfortunately launchpad does not support Bug Reports comes with screenshots

TonyChyi (tonychee7000) wrote :

reply for #16

this bug is now confirmed and will be fixed soon

James M. Leddy (jm-leddy) wrote :

Looks a lot like bug #936071.

TonyChyi (tonychee7000) wrote :

reply for #18

bug still exists

James M. Leddy (jm-leddy) wrote :

in reply to #19

I don't doubt it. It looks like there is plugin specific changes that had to happen in line with the code fix. I'll talk with the maintainer.

Ken VanDine (ken-vandine) wrote :

Can someone please test the attached deb for sina?

Ken VanDine (ken-vandine) wrote :

Can someone please test the attached deb for sohu?

Ken VanDine (ken-vandine) wrote :

To test those packages, make sure gwibber-service gets restarted before running gwibber-accounts. You could logout/login to be sure.

TonyChyi (tonychee7000) wrote :

well, i use the package gwibber-service-sina_0.9.1-0ubuntu7~test1_all.deb
it shows in terminal:

Traceback (most recent call last):
  File "/usr/share/gwibber/plugins/sina/gtk/sina/__init__.py", line 165, in on_sina_auth_title_change
    self.ui.get_object("sina_auth_done_label").set_label(_("%s has been authorized by Sina") % str(self.account["username"]))
UnicodeEncodeError: 'ascii' codec can't encode characters in position 0-4: ordinal not in range(128)

TonyChyi (tonychee7000) wrote :

well is ok now all the sina weibo contents showed

Ken VanDine (ken-vandine) wrote :

Updated sina deb which handles unicode in username

Ken VanDine (ken-vandine) wrote :

Updated sohu deb which handles unicode in username

TonyChyi (tonychee7000) wrote :

here is the traceback:

(gwibber-accounts:7353): Gdk-WARNING **: gdk_window_set_icon_list: icons too large
/usr/lib/python2.7/dist-packages/gi/types.py:43: Warning: invalid unclassed pointer in cast to `GObject'
  return info.invoke(*args, **kwargs)
/usr/lib/python2.7/dist-packages/gi/types.py:43: Warning: g_object_notify: assertion `G_IS_OBJECT (object)' failed
  return info.invoke(*args, **kwargs)

TonyChyi (tonychee7000) wrote :

BTW here is no any FT errors and the plugin is OK now

Ken VanDine (ken-vandine) wrote :

@tonychee7000: you tested sina right? How about sohu?

Changed in gwibber-service-sina (Ubuntu):
importance: Undecided → High
Changed in gwibber-service-sohu (Ubuntu):
importance: Undecided → High
TonyChyi (tonychee7000) wrote :

reply for #30

i'm sorry that i have no sohu microblog account, but now i can test it,please wait me

TonyChyi (tonychee7000) wrote :

@Ken VanDine (ken-vandine)

here is a problem that the sohu plugin can be loaded but in gwibber-accounts it cannot show

here is the traceback:

Loading plugin for sina
Loading plugin for twitter
Loading plugin for identica
Loading plugin for facebook
Loading plugin for sohu

(gwibber-accounts:3071): Gdk-WARNING **: gdk_window_set_icon_list: icons too large

but it cannot show sohu in the gwibber-accounts (add new account) when i uninstall sina it show sohu(conflict??)

Ken VanDine (ken-vandine) wrote :

@tonychee7000:
Those both load for me in the gwibber-accounts UI, and I don't get the GDK warning that you do. What icon theme are you using? Maybe your theme is providing icons for those? Could you test with Ambiance or Radiance?

TonyChyi (tonychee7000) wrote :

@Ken VanDine

I use the theme Ambiance and icon theme ubuntu-mono-dark, i think we have more user test it

TonyChyi (tonychee7000) wrote :

@Ken VanDine

I use the theme Ambiance and icon theme ubuntu-mono-dark, i think we have more user test them

Ken VanDine (ken-vandine) wrote :

@tonychee7000: can you please paste the output from these commands for me?

find /usr/share -name sohu.*
find /usr/share -name sina.*

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gwibber-service-sina - 0.9.1-0ubuntu7

---------------
gwibber-service-sina (0.9.1-0ubuntu7) precise; urgency=low

  * debian/patches/lp959757.patch
    - removed last import of gnomekeyring and make sure username is
      utf-8 (LP: #959757)
 -- Ken VanDine <email address hidden> Fri, 20 Apr 2012 11:12:33 -0400

Changed in gwibber-service-sina (Ubuntu):
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gwibber-service-sohu - 0.8.1-0ubuntu6

---------------
gwibber-service-sohu (0.8.1-0ubuntu6) precise; urgency=low

  * debian/patches/lp959757.patch
    - removed last import of gnomekeyring and make sure username is
      utf-8 (LP: #959757)
 -- Ken VanDine <email address hidden> Fri, 20 Apr 2012 11:14:14 -0400

Changed in gwibber-service-sohu (Ubuntu):
status: Confirmed → Fix Released
TonyChyi (tonychee7000) wrote :

@Ken VanDine

find /usr/share/ -name sina.*
/usr/share/gwibber/ui/icons/hicolor/16x16/apps/sina.png
/usr/share/gwibber/ui/icons/hicolor/16x16/apps/sina.svg
/usr/share/gwibber/ui/icons/hicolor/scalable/apps/sina.png
/usr/share/gwibber/ui/icons/hicolor/scalable/apps/sina.svg
/usr/share/gwibber/ui/icons/hicolor/22x22/apps/sina.png
/usr/share/gwibber/ui/icons/hicolor/22x22/apps/sina.svg

find /usr/share/ -name sohu.*
/usr/share/gwibber/ui/icons/hicolor/16x16/apps/sohu.png
/usr/share/gwibber/ui/icons/hicolor/16x16/apps/sohu.svg
/usr/share/gwibber/ui/icons/hicolor/scalable/apps/sohu.png
/usr/share/gwibber/ui/icons/hicolor/scalable/apps/sohu.svg
/usr/share/gwibber/ui/icons/hicolor/22x22/apps/sohu.png
/usr/share/gwibber/ui/icons/hicolor/22x22/apps/sohu.svg

When testing gwibber-service-sina (0.9.1-0ubuntu7) and gwibber-service-sohu (0.8.1-0ubuntu6), the original crash is no longer occurring, but I'm getting a new crash after login to the service:

Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/gwibber/accounts.py", line 390, in on_accounts_tree_row_activated
    self.account_show(acct["service"], icon, acct)
  File "/usr/lib/python2.7/dist-packages/gwibber/accounts.py", line 332, in account_show
    aw = globals()[service_id].AccountWidget(account, self)
  File "/usr/share/gwibber/plugins/sohu/gtk/sohu/__init__.py", line 41, in __init__
    has_secret_key = get_from_keyring(self.account['id'], 'secret_token') is not None
NameError: global name 'get_from_keyring' is not defined

Should I open a new bug for this or should we follow this regression here?

James M. Leddy (jm-leddy) wrote :

Hi Christopher,

Does the sina plugin have the same problem?

@ James.

Yes, both plugins have the same issue. I just included trace from sohu, but I can get the sina trace if needed.

Ken VanDine (ken-vandine) wrote :

Are you sure the sina has the same issue? tonychee7000 confirmed that his sina account got added. I have found there is a missing import in the sohu plugin, but it is there in the sina plugin. As far as i can tell this should only affect the sohu plugin.

Ken VanDine (ken-vandine) wrote :

Can someone please test this fix for sohu?

@ Ken,

I thought it was broken in the sina plugin too, but it's very conceivable I didn't test it correctly:)

At any rate, I'll give your test package a go.

@Ken,

I can confirm the test package for the sohu service now logs in with no issues.

I can also confirm that the sina service plugin does work correctly. Sorry about the confusion with that.

Thanks!

Aaron Lee (aaronlea) wrote :

gwibber-service-sina is just working fine.
Thanks.

When can we expect the fixed gwibber-service-sohu package to land in precise-updates?

Changed in gwibber-service-sohu (Ubuntu):
status: Fix Released → Confirmed
Ken VanDine (ken-vandine) wrote :

I've uploaded it to precise-proposed, in the unapproved queue now. Once the ubuntu-sru team approves it you'll see a request here for verification before it goes to precise-updates.

@Ken,

I still don't see the gwibber-service-sohu package in precise-proposed: http://people.canonical.com/~ubuntu-archive/pending-sru.html nor do I see it in the precise unapproved queue: https://launchpad.net/ubuntu/precise/+queue?queue_state=1

Do we have an ETA on when this will make it to -proposed so we can get it moved to -updates?

Adam Conrad (adconrad) wrote :

gwibber-service-sohu_0.8.1-0ubuntu7 accepted into precise-proposed and built. Please test and report your findings to this bug, so we can promote it to -updates (or not) once the testing period is complete.

tags: added: verification-needed
Changed in gwibber-service-sohu:
status: Confirmed → Fix Committed
Adam Conrad (adconrad) on 2012-05-03
Changed in gwibber-service-sohu:
status: Fix Committed → Confirmed
Changed in gwibber-service-sohu (Ubuntu):
status: Confirmed → Fix Committed
no longer affects: gwibber (Ubuntu Precise)
no longer affects: gwibber-service-sina (Ubuntu Precise)
Changed in gwibber-service-sohu (Ubuntu Precise):
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gwibber-service-sohu - 0.8.1-0ubuntu7

---------------
gwibber-service-sohu (0.8.1-0ubuntu7) precise-proposed; urgency=low

  * debian/patches/lp959757.patch
    - updated to include fix for missing import (LP: #959757)
 -- Ken VanDine <email address hidden> Thu, 26 Apr 2012 17:07:22 -0400

Changed in gwibber-service-sohu (Ubuntu):
status: Fix Committed → Fix Released

I enabled precise-updates and installed gwibber-service-sohu (0.8.1-0ubuntu7). I can confirm this package no longer crashes and works as expected.

Colin Watson (cjwatson) on 2012-05-04
tags: added: verification-done
removed: verification-needed
Changed in oem-priority:
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gwibber-service-sohu - 0.8.1-0ubuntu7

---------------
gwibber-service-sohu (0.8.1-0ubuntu7) precise-proposed; urgency=low

  * debian/patches/lp959757.patch
    - updated to include fix for missing import (LP: #959757)
 -- Ken VanDine <email address hidden> Thu, 26 Apr 2012 17:07:22 -0400

Changed in gwibber-service-sohu (Ubuntu Precise):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers